| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
THM1176IM_Test01_Connect.cpp File Reference

Test code for THM1176 Instrument Manager: Device enumeration, connect. More...

`#include <regex>`
`#include <thread>`
`#include <chrono>`
`#include <iostream>`
`#include <QtTest>`
`#include <QSignalSpy>`
`#include "CTHM1176InstrumentManager.h"`
`#include "THM1176IM_Test01_Connect.moc"`
Include dependency graph for THM1176IM_Test01_Connect.cpp:

Go to the source code of this file.

## Classes
class | THM1176IM_Test01_Connect

## Macros
#define | THM1176_PROMPT_TIME 10
#define | THM1176_BOOT_N_SCAN_TIME 15000
#define | THM1176_CONNECT_TIME 10000
#define | THM1176_SCAN_INTERVAL 1000
#define | THM1176_SILLY_RESOURCE_NAME "Humpty_Dumpty_had_a_great_fall"

## Functions
static void | PromptAndWait (std::string Prompt)

## Variables
static CTHM1176InstrumentManager | Manager

## Detailed Description

Test code for THM1176 Instrument Manager: Device enumeration, connect.

Definition in file THM1176IM_Test01_Connect.cpp.

## Macro Definition Documentation

## ◆ THM1176_BOOT_N_SCAN_TIME

#define THM1176_BOOT_N_SCAN_TIME 15000

Definition at line 19 of file THM1176IM_Test01_Connect.cpp.

## ◆ THM1176_CONNECT_TIME

#define THM1176_CONNECT_TIME 10000

Definition at line 20 of file THM1176IM_Test01_Connect.cpp.

## ◆ THM1176_PROMPT_TIME

#define THM1176_PROMPT_TIME 10

Definition at line 18 of file THM1176IM_Test01_Connect.cpp.

## ◆ THM1176_SCAN_INTERVAL

#define THM1176_SCAN_INTERVAL 1000

Definition at line 21 of file THM1176IM_Test01_Connect.cpp.

## ◆ THM1176_SILLY_RESOURCE_NAME

#define THM1176_SILLY_RESOURCE_NAME "Humpty_Dumpty_had_a_great_fall"

Definition at line 22 of file THM1176IM_Test01_Connect.cpp.

## Function Documentation

## ◆ PromptAndWait()

void PromptAndWait | ( | std::string | Prompt | ) |
| static

Definition at line 31 of file THM1176IM_Test01_Connect.cpp.

## Variable Documentation

## ◆ Manager

CTHM1176InstrumentManager Manager
| static

Definition at line 26 of file THM1176IM_Test01_Connect.cpp.